org.apache.lucene.luke.models.commits

## Class CommitsFactory

- java.lang.Object
- - org.apache.lucene.luke.models.commits.CommitsFactory

-     public class CommitsFactory
      extends Object

  Factory of `Commits`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitsFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Commits` | `newInstance(DirectoryReader reader, String indexPath)`
    `Commits` | `newInstance(Directory dir, String indexPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitsFactory

          public CommitsFactory()

  - ### Method Detail

    - #### newInstance

          public Commits newInstance(Directory dir,
                                     String indexPath)

    - #### newInstance

          public Commits newInstance(DirectoryReader reader,
                                     String indexPath)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.